/*
 * Histo1DAction.cpp
 *
 *  Created on: 25/ago/2009
 *      Author: Nicola Mori
 */

/*! @file Histo1DAction.cpp The Histo1DAction class implementation file. */

#include "Histo1DAction.h"

template<>
void Histo1DAction<Int_t>::_CreateHisto() {

  _rootHisto = new TH1I();
}

template<>
void Histo1DAction<Float_t>::_CreateHisto() {

  _rootHisto = new TH1F();
}

template<>
void Histo1DAction<Double_t>::_CreateHisto() {

  _rootHisto = new TH1D();
}
